//RemplacerCouleursBase_201f.js
// 14.11.06 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//Ce script sert  supprimer les couleurs des base importes d'un document XPress
//et de les remplacer par les couleurs par dfaut correspondantes d'InDesign

if (app.documents.length == 0) {
	alert ("Il n'y a pas de document ouvert.");
	exit();
}

// les trois couleurs de base visibles dans la palette...
var basColors_e = new Array("Black", "Paper", "Registration");
// ... et les couleurs correspondantes imports d'un document XPress
var impColors_d = new Array("Schwarz", "Wei", "Passkreuze");
var impColors_f = new Array("Noir", "Blanc", "Reprage");

// les trois couleurs de base prsentes en "arrire-plan" (pas dans la palette)...
var basColors2 = new Array("Cyan", "Magenta", "Yellow");
// ... et leurs quivalents imports d'un document XPress
var impColors2 = new Array("C=100 M=0 J=0 N=0", "C=0 M=100 J=0 N=0", "C=0 M=0 J=100 N=0");

// le jaune allemand
var impColors3 = new Array("Gelb");

// tenter de remplacer les trois couleurs de base en allemand
for (i=0; i<basColors_e.length; i++) {
	try {
		app.documents[0].swatches.item(impColors_d[i]).remove(app.documents[0].swatches.item(basColors_e[i]));
	}
	catch (e) {
	}
}

// tenter de remplacer les trois couleurs de base en franais
for (i=0; i<basColors_e.length; i++) {
	try {
		app.documents[0].swatches.item(impColors_f[i]).remove(app.documents[0].swatches.item(basColors_e[i]));
	}
	catch (e) {
	}
}

/*
// pour activer le code ci-dessous: supprimer les deux paires "barre de fraction, astrisque" 
// (deux lignes au-dessus et  la fin) 

// tenter de remplacer les trois couleurs de base "arrire-plan"
for (i=0; i<basColors2.length; i++) {
	try {
		app.documents[0].swatches.item(impColors2[i]).remove(app.documents[0].colors.item(basColors2[i]));
	}
	catch (e) {
	}
}

// tenter de remplacer le jaune allemand
try {
	app.documents[0].swatches.item(impColors3[0]).remove(app.documents[0].colors.item(basColors2[2]));
}
catch (e) {
}
*/